Skip to navigation

List PowerForms

View as Markdown

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

Query parameters

from_datestringOptional

Start of the search date range. Only returns templates created on or after this date/time. If no value is specified, there is no limit on the earliest date created.

orderstringOptional

An optional value that sets the direction order used to sort the item list.

Valid values are:

  • asc = ascending sort order
  • desc = descending sort order
order_bystringOptional

An optional value that sets the file attribute used to sort the item list.

Valid values are:

  • modified
  • name
to_datestringOptional

End of the search date range. Only returns templates created up to this date/time. If no value is provided, this defaults to the current date.

Response

Successful response.
endPositionstringOptional
The last position in the result set.
nextUristringOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

powerFormslist of objectsOptional
previousUristringOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

resultSetSizestringOptional
The number of results returned in this response.
startPositionstringOptional
Starting position of the current result set.
totalSetSizestringOptional

The total number of items in the search’s result set. It will always be greater than or equal to the value of the resultSetSize field.

Errors

400
Bad Request Error